This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 167344 - user's startx will start X11 with system language and can't be changed
user's startx will start X11 with system language and can't be changed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 15:28 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-03 00:56:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-09-01 15:28:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I've swiched from KDE to Gnome in FC4, now I ran into a strange problem.

While I want keep system language "English", the X11 started by a user should have a selectable language, e.g. "German"

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37

How reproducible:
Always

Steps to Reproduce:
1. Set system language to English
2. Start system in run level 3
3. Login as normal user
4. Try to start X11 in e.g. "German" language
  

Actual Results:  X11 starts in English (according to settings /etc/sysconfig/i18n)

Expected Results:  Able to start X11 in German, regardless of settins in /etc/sysconfig/i18n

Additional info:

Any hint available or a missing feature?
Comment 1 Mike A. Harris 2005-09-03 00:56:34 EDT
~/.i18n

Comment 2 Need Real Name 2005-10-31 13:54:28 EST
Related to bug 172130.

Note You need to log in before you can comment on or make changes to this bug.